# $Revision: 1.44 $, $Date: 2010/06/06 08:41:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Simple DirectMedia Layer Perl
Summary(pl.UTF-8):	Interfejs Simple DirectMedia Layer dla Perla
Name:		perl-SDL
Version:	2.1.3
Release:	6
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DG/DGOEHRIG/SDL_Perl-%{version}.tar.gz
# Source0-md5:	6ce26e1b710ce52def4ec22637cd5176
Patch0:		%{name}-gfxPie.patch
Patch1:		%{name}-no-mixertest.patch
URL:		http://search.cpan.org/dist/SDL_Perl/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel >= 2.0.10
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	smpeg-devel
Provides:	perl(SDL::OpenGL)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_perl is a package of perl modules that provides both functional
and object orient interfaces to the Simple DirectMedia Layer for Perl
5. This package does take some liberties with the SDL API, and
attempts to adhere to the spirit of both the SDL and Perl.

%description -l pl.UTF-8
SDL_perl to pakiet z modułami Perla udostępniający z poziomu Perla
interfejsy zarówno funkcjonalne, jak i zorientowane obiektowo do
biblioteki SDL (Simple DirectMedia Layer). Pakiet przejmuje trochę
swobody z API SDL i próbuje się dopasować do idei SDL oraz Perla.

%prep
%setup -q -n SDL_Perl-%{version}
%patch0 -p0
%patch1 -p1

mv t/mixerpm.t{,.blah}	# requires audio device

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl=%{__perl} \
	destdir=$RPM_BUILD_ROOT \
	config='optimize=%{rpmcflags}' \
	config='lddlflags=-shared %{rpmldflags}'
./Build

# <sigh> I don't know why but for some reason these dirs get put under
# blib/arch/auto/src instead of blib/arch/auto causing them to be installed
# in the wrong location and "./Build test" to fail. We copy them because if
# we move them the next call to ./Build will recreate them in the wrong
# location anyways. Unfortunatly with the copy the wrong located originals
# will also end up getting installed so we must remove those in %%install
cp -r blib/arch/auto/src/SDL* blib/arch/auto

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/auto/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG TODO README
%{_mandir}/man3/*
%{perl_vendorarch}/SDL*.pm
%{perl_vendorarch}/SDL
%dir %{perl_vendorarch}/auto/SDL
%dir %{perl_vendorarch}/auto/SDL_perl
%{perl_vendorarch}/auto/SDL_perl/SDL_perl.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SDL_perl/SDL_perl.so
%dir %{perl_vendorarch}/auto/SDL/OpenGL
%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.so
%dir %{perl_vendorarch}/auto/SDL/SFont
%{perl_vendorarch}/auto/SDL/SFont/SFont.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/SFont/SFont.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SDL.spec,v $
Revision 1.44  2010/06/06 08:41:37  arekm
- release 6

Revision 1.43  2009/05/07 12:15:03  megabajt
- release 5

Revision 1.42  2009/01/10 12:10:59  radek
- release 4

Revision 1.41  2008-03-02 18:10:59  radek
- release 3

Revision 1.40  2008-02-09 13:00:25  wolvverine
- rel.2

Revision 1.39  2008-01-05 18:32:09  tommat
- rel 1

Revision 1.38  2008-01-05 18:18:13  tommat
- added gfxPie.patch and no-mixertest.patch
- paths workaround from FC, builds

Revision 1.37  2008-01-05 16:37:14  tommat
- BR: perl-ExtUtils-CBuilder

Revision 1.36  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.34  2006/08/20 14:17:38  qboosh
- removed outdated detection patch
- fixed OpenGL deps (glut not used, but GLU is)
- fixed optflags passing, pass rpmldflags too

Revision 1.33  2006/08/08 14:00:29  sparky
- BR: perl-YAML

Revision 1.32  2006/07/27 20:30:34  agaran
- up to 2.1.3, rel 0.1, NFY, WIP

Revision 1.31  2004/12/01 21:55:34  radek
- release 2: turned off t/mixerpm.t (requires audio device)

Revision 1.30  2004/12/01 18:10:34  radek
- autoupdated to 2.1.2

Revision 1.29  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.28  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.27  2004/08/05 18:43:11  qboosh
- proper Module::Build usage (with optflags support)
- disabled patch - should it be updated or removed?

Revision 1.26  2004/08/05 15:45:07  pluto
- %%install finished.

Revision 1.25  2004/08/05 15:27:23  pluto
- updated to 2.1.0, URL updated, %%install nfy...

Revision 1.24  2004/07/14 08:28:46  qboosh
- missing dir, release 5

Revision 1.23  2004/05/06 12:57:54  qboosh
- little more informative summaries, updated perl dep

Revision 1.22  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.21  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.20  2003/12/12 15:05:59  grzegol
- rel. 4 to rebuild with SDL_gfx-2.0.10

Revision 1.19  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/07/29 13:32:39  grzegol
- rel. 3 to rebuild with SDL_gfx-2.0.8
- cosmetics

Revision 1.16  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.12  2003/02/21 15:39:29  ankry
- updated to 1.20.0

Revision 1.11  2003/02/17 21:40:52  ankry
- changed src URL to a working one

Revision 1.10  2002/12/21 02:18:52  wolf
- remove loose g
- suddenly sdl-config --cflags returns something unexpected

Revision 1.9  2002/10/28 15:46:19  ankry
- version 1.19.1

Revision 1.8  2002/09/27 13:56:49  ankry
- added tests, translation, use optimization flags
- removed .packlist and empty autosplit.ix
- version 1.18.7, rel. 1

Revision 1.7  2002/07/12 22:35:13  ankry
- BR: SDL_image-devel
- release 2

Revision 1.6  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.5  2002/07/11 08:03:39  depesz
- new version; should work; STBR

Revision 1.4  2002/06/18 13:52:17  wolf
- s/BR: perl/BR: perl-devel/

Revision 1.3  2002/05/29 12:26:43  qboosh
- pl description

Revision 1.2  2002/05/27 07:39:14  jajcus
- Version: 1.18
- official URL and Source

Revision 1.1  2002/05/27 07:22:31  jajcus
- new spec
